#include <spdlog/spdlog.h>
#include "./initialized_provider.hpp"

namespace lsp::providers::initialized
{

    std::string InitializedProvider::GetMethod() const
    {
        return "initialized";
    }

    std::string InitializedProvider::GetProviderName() const
    {
        return "InitializedProvider";
    }

    void InitializedProvider::HandleNotification(const protocol::NotificationMessage& notification, ProviderContext& context)
    {
        static_cast<void>(context); // 如果不需要上下文，可以忽略
        spdlog::debug("InitializeProvider: Providing response for method {}", notification.method);
    }

}
